{% extends 'base.html' %}

{% block content %}
<div class="container mt-5">
    <div class="mb-5">
        {% if messages %}
        {% for message in messages %}
        {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <strong>Error: </strong> {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        {% else %}
        <div class="alert alert-info alert-dismissible fade show" role="alert">
            {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        {% endif %}
        {% endfor %}
        {% endif %}
    </div>
    <h1> List of Staffs </h1>
    <div class="col-9 mb-5">
        <div class="row mt-3">
            <div class="mr-2">
                <a href="{% url 'add_user' %}" class="btn btn-success btn-rounded btn-sm font-weight-bold">
                    <i class="fa fa-plus fa-x mr-1" aria-hidden="true"></i>Add A New Staff</a>
            </div>
            <div class="h5-responsive">
                <a data-toggle="modal" data-target="#ImportModal"
                   class="btn btn-deep-purple btn-rounded btn-sm px-4 font-weight-bold">
                    <i class="fas fa-upload fa-1x mr-2"></i>Import Loan/Contribution
                </a>
            </div>
        </div>
    </div>
    <table class="mt-4">
        <thead>
        <tr>
            <th>Sr. No.</th>
            <th>Staff ID</th>
            <th>Name</th>
            <th>Phone No.</th>
            <th>Email</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>
        {% for user in users %}
        <tr>
            <td scope="row" data-title="Sr. No.">{{ forloop.counter0|add:users.start_index }}</td>
            <td data-title="Staff ID">{{ user.username }}</td>
            <td class="text-capitalize" data-title="Name">{{ user.first_name }} {{user.last_name}}</td>
            <td data-title="Phone No.">{{ user.userprofile.phone_no }}</td>
            <td data-title="Email">{{ user.email }}</td>
            <td data-title="Action"><a href="{% url 'view_user' %}?id={{ user.id }}"
                                       class="btn btn-primary btn-rounded waves-effect btn-sm px-3"><i
                    class="fas fa-info-circle fa-1x"></i> Details</a></td>

        </tr>
        {% endfor %}
        </tbody>
    </table>

    <!---- Pagination ----->
    <div class="row mt-5 mb-5 justify-content-center">
        {% if users.has_other_pages %}
        <nav aria-label="Page navigation example">

            <ul class="pagination pg-dark">
                {% if users.has_previous %}
                <li class="page-item ">
                    <a class="page-link" tabindex="-1"
                       href="?page={{ users.previous_page_number }}">
                        Previous</a>
                </li>
                {% else %}
                <li class="page-item disabled">
                    <a class="page-link" tabindex="-1">Previous</a>
                </li>
                {% endif %}
                {% for i in users.paginator.page_range %}
                {% if users.number == i %}
                <li class="page-item active">
                    <a class="page-link">{{ i }} <span class="sr-only">(current)</span></a>
                </li>
                {% else %}
                <li class="page-item"><a class="page-link" href="?page={{ i }}">{{ i }}</a>
                </li>
                {% endif %}
                {% endfor %}
                {% if users.has_next %}
                <li class="page-item ">
                    <a class="page-link" href="?page={{ users.next_page_number }}">Next</a>
                </li>
                {% else %}
                <li class="page-item disabled">
                    <a class="page-link">Next</a>
                </li>
                {% endif %}

            </ul>
        </nav>
        {% endif %}
        <!----- Pagination (endblock)---->
    </div>

</div>


{% endblock %}